> ## Documentation Index
> Fetch the complete documentation index at: https://private-7c7dfe99-mintlify-1d264819.mintlify.site/llms.txt
> Use this file to discover all available pages before exploring further.

# 创建专用终结点

> 创建一个新的专用终结点。该专用终结点将与此服务和组织相关联



## OpenAPI

````yaml /zh/products/cloud/api-reference/cloud-openapi.json post /v1/organizations/{organizationId}/services/{serviceId}/privateEndpoint
openapi: 3.0.1
info:
  contact:
    email: support@clickhouse.com
    name: ClickHouse Support
    url: >-
      https://clickhouse.com/docs/en/cloud/manage/openapi?referrer=openapi-299828
  title: OpenAPI spec for ClickHouse Cloud
  version: '1.0'
servers:
  - url: https://api.clickhouse.cloud
security:
  - basicAuth: []
tags:
  - name: Organization
  - name: User management
  - name: Billing
  - name: Service
  - name: Backup
  - name: OpenAPI
  - name: Prometheus
  - name: ClickPipes
paths:
  /v1/organizations/{organizationId}/services/{serviceId}/privateEndpoint:
    post:
      tags:
        - Service
      summary: 创建专用终结点
      description: 创建一个新的专用终结点。该专用终结点将与此服务和组织相关联
      parameters:
        - description: 所请求组织的 ID。
          in: path
          name: organizationId
          required: true
          schema:
            format: uuid
            type: string
        - description: 所请求服务的 ID。
          in: path
          name: serviceId
          required: true
          schema:
            format: uuid
            type: string
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/ServicPrivateEndpointePostRequest'
      responses:
        '200':
          content:
            application/json:
              schema:
                properties:
                  requestId:
                    description: 为每个请求分配的唯一 ID。UUIDv4
                    format: uuid
                    type: string
                  result:
                    $ref: '#/components/schemas/InstancePrivateEndpoint'
                  status:
                    description: HTTP 状态码。
                    example: 200
                    type: number
                type: object
          description: 成功响应
        '400':
          content:
            application/json:
              schema:
                properties:
                  error:
                    description: 详细的错误描述。
                    type: string
                  status:
                    description: HTTP 状态码。
                    example: 400
                    type: number
                type: object
          description: 由于请求中存在被视为客户端错误的问题，服务器无法或不愿处理该请求。
components:
  schemas:
    ServicPrivateEndpointePostRequest:
      properties:
        description:
          description: 专用终结点描述
          type: string
        id:
          description: 专用终结点标识符
          type: string
    InstancePrivateEndpoint:
      properties:
        cloudProvider:
          description: 专用终结点所在的云提供商
          enum:
            - gcp
            - aws
            - azure
          type: string
        description:
          description: 专用终结点的描述
          type: string
        id:
          description: 专用终结点标识符
          type: string
        region:
          description: 专用终结点所在的区域
          enum:
            - ap-northeast-1
            - ap-south-1
            - ap-southeast-1
            - ap-southeast-2
            - eu-central-1
            - eu-west-1
            - eu-west-2
            - me-central-1
            - us-east-1
            - us-east-2
            - us-west-2
            - us-east1
            - us-central1
            - europe-west4
            - asia-southeast1
            - eastus
            - eastus2
            - westus3
            - germanywestcentral
          type: string
  securitySchemes:
    basicAuth:
      description: >-
        使用在 ClickHouse Cloud 控制台中获取的 key ID 和 key
        secret：https://clickhouse.com/docs/cloud/manage/openapi
      scheme: basic
      type: http

````